Package twisted :: Package internet :: Module interfaces :: Class IProcessTransport

[frames | no frames]

## Class IProcessTransport

    Interface --+
                |
       ITransport --+
                    |
                   IProcessTransport

A process transport.

Method Summary
| ``closeStderr`(self)` Close stderr.
| ``closeStdin`(self)` Close stdin after all data has been written out.
| ``closeStdout`(self)` Close stdout.
| ``loseConnection`(self)` Close stdin, stderr and stdout.
| ``signalProcess`(self, signalID)` Send a signal to the process.
Inherited from ITransport
| ``getHost`(self)` Similar to getPeer, but returns an address describing this side of the connection.
| ``getPeer`(self)` Return an `IAddress`.
| ``write`(self, data)` Write some data to the physical connection, in sequence.
| ``writeSequence`(self, data)` Write a list of strings to the physical connection.

Method Details

### closeStderr(self)

Close stderr.

### closeStdin(self)

Close stdin after all data has been written out.

### closeStdout(self)

Close stdout.

### loseConnection(self)

Close stdin, stderr and stdout.

  Overrides:
    `twisted.internet.interfaces.ITransport.loseConnection`

### signalProcess(self, signalID)

Send a signal to the process.

  Parameters:
    `signalID` - can be
    - one of `"HUP"`, `"KILL"`, `"STOP"`, or `"INT"`. These will be implemented in a cross-platform manner, and so should be used if possible.
    - an integer, where it represents a POSIX signal ID.

Generated by Epydoc 2.0 on Sat May 15 20:07:42 2004 | http://epydoc.sf.net